<!-- Based on paint/invalidation/invalidate-after-composited-scroll-of-window.html -->
<!doctype HTML>
<div>
    <div class="spacer" style="width: 1px; height: 2400px;"></div>
    <div id="target" style="width: 100px; height: 100px; background: blue"></div>
    <div class="spacer" style="width: 1px; height: 2400px;"></div>
</div>
<script src="resources/paint-invalidation-test.js"></script>
Tests that invalidation of a div after scrolling invalidates just the div and no other area.
<script>
window.expectedPaintInvalidationObjects = [
    "LayoutBlockFlow DIV id='target'",
];
function paintInvalidationTest() {
    window.scrollBy(0, 2350);
    target.style.background = "papayawhip";
}
onload = runPaintInvalidationTest;
</script> 
